> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creditriskmonitor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search for a Business

> Searches business entities using multiple search criteria including name, address, ticker symbol, tax ID, or phone number. 

<Note>
  Use the [**<u>Login</u>**<u> endpoint</u>](/api-reference/user/logs-a-user-in) to retrieve the **`SessionKey`**, then include it in the **Authorization** field for authentication.
</Note>


## OpenAPI

````yaml get /v1/BusinessLookup
openapi: 3.0.0
info:
  version: v2
  title: Credit Risk Monitor API
servers:
  - url: https://api.creditriskmonitor.com
security: []
paths:
  /v1/BusinessLookup:
    get:
      tags:
        - BusinessLookup
      summary: Searches for a Business.
      operationId: BusinessLookup_LookupBusiness
      parameters:
        - name: BusinessName
          in: query
          description: Name of a Business to search for
          required: false
          schema:
            type: string
        - name: PageSize
          in: query
          description: Number of rows to return
          required: false
          schema:
            format: int32
            type: integer
        - name: MatchType
          in: query
          description: >-
            How to match the Business. NM: Name Match. PN: Phone Match. TS:
            Ticker Symbol Match. TI: TaxId Match TW: Ticker Symbol Wildcard
            Match.
          required: false
          schema:
            type: string
        - name: StreetAddress
          in: query
          description: Street Address to search against
          required: false
          schema:
            type: string
        - name: CityName
          in: query
          description: City Name to search against
          required: false
          schema:
            type: string
        - name: ProvinceName
          in: query
          description: State / Province to search against
          required: false
          schema:
            type: string
        - name: PostalCode
          in: query
          description: Zip / Postal code to search against
          required: false
          schema:
            type: string
        - name: CountryCode
          in: query
          description: Two digit code of the country
          required: false
          schema:
            type: string
        - name: PhoneNumber
          in: query
          description: Phone Number to search against.
          required: false
          schema:
            type: string
        - name: TickerSymbol
          in: query
          description: Ticker Symbol to search against.
          required: false
          schema:
            type: string
        - name: FederalTaxId
          in: query
          description: Federal Tax Id to search against.
          required: false
          schema:
            type: string
        - name: Threshold
          in: query
          description: Match Threshold
          required: false
          schema:
            format: int32
            type: integer
        - name: SearchUniverse
          in: query
          description: 'A: All businesses. P: Public companies only.'
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APIBusinessCollection_
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APIBusinessCollection_
            text/html:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APIBusinessCollection_
            application/xml:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APIBusinessCollection_
            text/xml:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APIBusinessCollection_
      security:
        - Bearer: []
components:
  schemas:
    APIResponseContainer_APIBusinessCollection_:
      description: ''
      type: object
      properties:
        Success:
          description: ''
          type: boolean
        Data:
          description: ''
          type: array
          items:
            $ref: '#/components/schemas/APIBusiness'
        ErrorCode:
          description: ''
          type: string
    APIBusiness:
      description: Holds a Business for the API
      type: object
      properties:
        BusinessId:
          format: int32
          description: ID of the Business
          type: integer
        PrimaryBusinessName:
          description: Name of the Business
          type: string
        Address1:
          description: Address of the Business
          type: string
        Address2:
          description: Secondary Address of the Business
          type: string
        CityName:
          description: City of the Business
          type: string
        StateCode:
          description: Two Digit State / Province code
          type: string
        PostalCode:
          description: Zip / Postal code for the Business
          type: string
        CountryName:
          description: Country name for the Business
          type: string
        CountryCode:
          description: Two digit Country Code for the Business
          type: string
        PhoneNumber:
          description: Phone Number for the Business
          type: string
        TradingStatus:
          description: Trading Status for the Business
          type: string
        IncorporatedDate:
          description: Date the Business was Incorporated
          type: string
        IncorporatedIn:
          description: City the Business was Incorporated In
          type: string
        IncorporatedInState:
          description: State the Business was Incorporated In
          type: string
        TickerSymbol:
          description: Ticker Symbol for the Business
          type: string
        StockExchange:
          description: Stock Exchange the Business is in
          type: string
        FederalTaxId:
          description: Federal Tax Id for the Business
          type: string
        CIKNumber:
          description: Central Index Key for the Business
          type: string
        LatestStatementDate:
          format: date-time
          description: Date of the Latest Statement for the Business
          type: string
        Employees:
          format: int32
          description: Number of Employees in the Business
          type: integer
        EmployeesAsOfDate:
          format: date-time
          description: Date the Number of Employees is accurate as of
          type: string
        MarketCap:
          format: int64
          description: Market Capitalization for the Business
          type: integer
        BusinessNameOfMatch:
          description: Business Name found from Matching
          type: string
        Address1OfMatch:
          description: Address1 found from Matching
          type: string
        Address2OfMatch:
          description: Address2 found from Matching
          type: string
        CityNameOfMatch:
          description: City Name found from Matching
          type: string
        StateCodeOfMatch:
          description: State Code found from Matching
          type: string
        PostalCodeOfMatch:
          description: Zip/Postal Code found from Matching
          type: string
        CountryCodeOfMatch:
          description: Country Code found from Matching
          type: string
        PhoneNumberOfMatch:
          description: Phone Number found from Matching
          type: string
        FaxNumberOfMatch:
          description: Fax Number found from Matching
          type: string
        FriskScore:
          format: int32
          description: FRISKScore of the Business
          type: integer
        FriskScoreDate:
          format: date-time
          description: Date of the FRISKScore
          type: string
        PayceScore:
          format: int32
          description: PAYCEScore of the Business
          type: integer
        PayceScoreDate:
          format: date-time
          description: Date of the PAYCEScore
          type: string
        MoodysIssuerCount:
          format: int32
          description: If the Business has a Moodys Rating
          type: integer
        FitchRatingCount:
          format: int32
          description: If the Business has a Fitch Rating
          type: integer
        BankruptcyCount:
          format: int32
          description: Count of Bankruptcies for the Business
          type: integer
        JudgmentCount:
          format: int32
          description: Count of Judgements for the Business
          type: integer
        LienCount:
          format: int32
          description: Count of Liens for the Business
          type: integer
        BusinessNewsCount:
          format: int32
          description: Count of News for the Business
          type: integer
        TradePayments:
          description: If Trade Payments are available
          type: boolean
        ParentBusinessId:
          format: int32
          description: >-
            The BusinessId of the Parent Business if this Business is a
            Subsidiary
          type: integer
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      description: >-
        Enter the Session Key with the `Bearer ` prefix, e.g. "Bearer
        abcde12345".

````